#include <iostream>
using namespace std;
int main(){
	ios_base::sync_with_stdio(false);
	int n,k;cin>>n>>k;
	int in,karte[n];
	for(int i=0;i<n;i++){
		int x;cin>>x;
		if(x==k){
			in=i+1;
		}
		karte[i]=x;
	}
	if(in==n){
		cout<<karte[0];
	}
	else{
		cout<<karte[in];
	}
	
	
	return 0;
}